Loading...
Searching...
No Matches
FastSearchIndexer Class Reference

`#include <openbabel/fingerprint.h>`

## Public Member Functions

| FastSearchIndexer (std::string &datafilename, std::ostream *os, std::string &fpid, int FptBits=0, int nmols=0)
| FastSearchIndexer (FptIndex *pindex, std::ostream *os, int nmols=0)
| ~FastSearchIndexer ()
bool | Add (OBBase *pOb, std::streampos seekpos)

## Detailed Description

Class to prepare fingerprint index files See FastSearch class for details.

## Constructor & Destructor Documentation

## FastSearchIndexer() [1/2]

FastSearchIndexer | ( | std::string & | datafilename,
|  | std::ostream * | os,
|  | std::string & | fpid,
|  | int | FptBits = 0,
|  | int | nmols = 0 )

Constructor with a new index.

Starts indexing process

## FastSearchIndexer() [2/2]

FastSearchIndexer | ( | FptIndex * | pindex,
|  | std::ostream * | os,
|  | int | nmols = 0 )

Constructor using existing index.

## ~FastSearchIndexer()

~FastSearchIndexer | ( |  | ) |

Saves index file

## Member Function Documentation

## Add()

bool Add | ( | OBBase * | pOb,
|  | std::streampos | seekpos )

Called for each object.

Adds a fingerprint

The documentation for this class was generated from the following files:

- fingerprint.h
- fingerprint.cpp